## m4api 0.3~0.9646fd

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(m4api C)
set(m4api_VERSION_MAJOR 0)
set(m4api_VERSION_MINOR 3)
set(m4api_VERSION 0.3)
option(enable_maintainer "Enables the maintainer CFLAGS (-Wall -Werror)" OFF)
if(enable_maintainer)
	add_definitions(-Wall -Werror)
endif(enable_maintainer)
include(FindPkgConfig)
pkg_check_modules(lusb REQUIRED libusb)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/m4api.pc.in
	${CMAKE_BINARY_DIR}/m4api.pc @ONLY)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/m4api.h.in
        ${CMAKE_CURRENT_SOURCE_DIR}/m4api.h @ONLY)
include_directories(${lusb_INCLUDE_DIRS})
link_directories(${lusb_LIBRARY_DIRS})
set(library_sources m4api.c)
set(library_headers m4api.h)
add_executable(m4ctl m4ctl.c)
add_library(m4api SHARED ${library_sources})
add_library(m4api-static STATIC ${library_sources})
add_dependencies(m4ctl m4api)
set_target_properties(m4api-static PROPERTIES OUTPUT_NAME m4api
	CLEAN_DIRECT_OUTPUT 1)
set_target_properties(m4api PROPERTIES CLEAN_DIRECT_OUTPUT 1 SOVERSION ${m4api_VERSION})
set_property(TARGET m4api PROPERTY PUBLIC_HEADER ${library_headers})
set_property(TARGET m4ctl PROPERTY COMPILE_FLAGS ${lusb_CFLAGS_OTHER})
set_property(TARGET m4ctl PROPERTY LINK_FLAGS ${lusb_LDFLAGS_OTHER})
target_link_libraries(m4ctl m4api)
target_link_libraries(m4api ${lusb_LDFLAGS})
target_link_libraries(m4api-static ${lusb_LDFLAGS})
install(TARGETS m4ctl m4api m4api-static
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
	PUBLIC_HEADER DESTINATION include/m4api)
install(FILES ${CMAKE_BINARY_DIR}/m4api.pc DESTINATION lib/pkgconfig)

=== debian/changelog ===
m4api (0.3~0.9646fd-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113260)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 09:29:04 +0200

m4api (0.3~0.9646fd-3) unstable; urgency=medium

  [ Nick Rosbrook ]
  * debian/patches: fix several implicit declarations (LP: #2060847)
    (Closes: #1065761)

  [ Vagrant Cascadian ]
  * debian/control: Use default branch for Vcs-Git.
  * debian/rules: Add override for dh_auto_clean to remove extra cruft.
    (Closes: #1046230)
  * Update lintian override to match new lintian syntax.
  * debian/control: Update Build-Depends from pkg-config to pkgconf.
  * debian/control: Update Standards Version to 4.7.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 10 Apr 2024 17:53:23 -0700

m4api (0.3~0.9646fd-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062680

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 10:59:14 +0000

m4api (0.3~0.9646fd-2) unstable; urgency=medium

  * Switch to debhelper compat level 14, which passes options to cmake to
    fix reproducibility issues with embedded rpaths.
  * Add lintian override for experimental debhelper version.
  * debian/control: Update Vcs-* to new location.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 27 Sep 2020 19:58:56 -0700

m4api (0.3~0.9646fd-1) experimental; urgency=low

  * Initial release (Closes: #950315).

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 29 Aug 2020 17:08:23 -0700

=== debian/control ===
Source: m4api
Section: utils
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
 debhelper (>= 13.2~),
 libusb-dev,
 pkgconf,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ktossell/m4api
Vcs-Browser: https://salsa.debian.org/debian/m4api
Vcs-Git: https://salsa.debian.org/debian/m4api.git

Package: m4api
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, libm4api0.3t64
Description: access Mini-Box M4-ATX power supplies (utility)
 The m4api is a tool for monitoring and configuring Mini-Box M4-ATX
 power supplies.
 .
 This package provides the m4ctl utility.

Package: libm4api0.3t64
Provides: ${t64:Provides}
Replaces: libm4api0.3
Breaks: libm4api0.3 (<< ${source:Version})
Architecture: any
Multi-Arch: allowed
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: access Mini-Box M4-ATX power supplies (library)
 The m4api is a tool for monitoring and configuring Mini-Box M4-ATX
 power supplies.
 .
 This package provides the library files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	# Remove leftover cruft
	rm -vf m4api.h
